Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.mail.smime.examples
Class CreateEncryptedMail

    java.lang.Object
      org.bouncycastle.mail.smime.examples.CreateEncryptedMail

    public class CreateEncryptedMail

extends java.lang.Object

a simple example that creates a single encrypted mail message.

The key store can be created using the class in org.bouncycastle.jce.examples.PKCS12Example - the program expects only one key to be present in the key file.

Note: while this means that both the private key is available to the program, the private key is retrieved from the keystore only for the purposes of locating the corresponding public key, in normal circumstances you would only be doing this with a certificate available.

Constructor Summary
`CreateEncryptedMail()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateEncryptedMail

    public CreateEncryptedMail()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45